/*
 Theme Name:   NC IDEA Theme
 Description:  NC IDEA Theme is Hello Elementor child theme
 Author:       Sasha-k
 Template:     hello-elementor
 Version:      1.0.0
*/
:root{
    --themeOrange: #e45620;
    --themeBlue: #0696b7;
    --modalText: #03242b;
}
.cod-loader {
    position: fixed;
    background: rgba(255, 255, 255, 0.9);
    z-index: 999;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    display: none;
    text-align: center;
    align-items: center;
    justify-content: center;
    font-size: 32px;
    color: orange;
}

.cod-loader.active {
    display: flex;
}

/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 99999; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0, 0, 0); /* Fallback color */
    background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
}

/* Modal Content/Box */
.modal-content {
    background-color: #fefefe;
    margin: 4% auto;
    padding: 40px 65px;
    border: 1px solid #888;
	color: var(--modalText);
    width: 50%;
    position: relative;
	hyphens:manual;
	font-family:source sans pro;
	font-size:16px;
	line-height:22px;
}

.modal-content img#companyLogoImage {
    display: block;
    margin: 0 auto;
}
.modal-content .post-content {
    margin-bottom: 15px;
}
.modal-content .company-banner h3, .modal-content .company-banner h5 {
    margin: 0;
}
h3#compTitle {
    font-size:28px; 
	font-family:montserrat;
	font-weight:700;
    color: var(--themeBlue);
    padding-top: 15px;
}
.modal-content .company-banner h5 {
    font-weight: 600;
    font-size:18px; 
    color: var(--themeBlue);
    padding-bottom: 15px;
}

.modal-content .company-banner h6 {
    padding-bottom: 15px;
}

.modal-content .company-banner {
    margin-bottom: 15px;
}

.modal-content ul.company-data-list {
    list-style-type: none;
    padding-left: 0;
}
ul.company-data-list li.website a {
    color: var(--themeOrange) !important;
    text-decoration: none;
}
.modal-content ul.company-data-list li span {	
	text-transform: uppercase;
    color: var(--themeBlue);
    font-weight: bold;
}

hr.upper-border {
    border: solid 1px var(--themeOrange);
}

hr.lower-border {
    border: solid 1px var(--themeOrange);
}

/* The Close Button */
span.close {
    font-size: 75px;
    font-weight: 100;
    color: #aaa;
    float: right;
    position: absolute;
    top: 10px;
    right: 10px;
}
.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}
.dots {
    display: flex;
    justify-content: flex-start;
    margin-bottom: 15px;
}
.dots span{
    height: 4px;
    width: 4px;
    background: var(--themeOrange);
    border-radius: 50%;
    margin-right: 5px;
}


@media only screen and (max-width: 768px) {
	.modal-content {
	 max-width: 19rem;
    margin: 2% auto;
    padding: 20px 40px;
    width: 80%;
}
	h3#compTitle {
    font-weight: 700;
    padding-top: 12px;
}
	h3 {
    font-size: 1.20rem;
}
	.modal-content .post-content, .dots {
    margin-bottom: 12px;
}
}
@media only screen and (min-device-width: 768px) and (max-device-width: 1024px)  {
	.modal-content {
	max-width: 35rem;
    margin: 3% auto;
    padding: 40px 50px;
    width: 50%;
}
}